\chapter{Elements of Gauge Theory}
\section{U(1) gauge theory}
Maxwell’s theory of electromagnetism is described by the $ U(1) $ gauge group. $ U(1) $ is Abelian and one dimensional. The gauge potential is simply
\begin{equation}
A = A_{\mu}dx^{\mu}
\end{equation}
The field strength is \sidenote{We notice here that our notation is a bit sloppy since we are at this stage treating connection, gauge potential and vector potential on the same ground. If one wants to preserve some degree of rigor, we should denote the gauge potential by $ \mathcal{A} $ and the vector potential by $ A $. Our gauge potential differs from the usual vector potential $ A $ by the Lie algebra factor $ i $: $ \mathcal{A}=iA $.}
\begin{equation}
\mathcal{F}=d\mathcal{A}
\end{equation}
In components, we have
\begin{equation}
\mathcal{F}_{\mu\nu} = \partial \mathcal{A}_{\nu}/\partial x^{\mu}-\partial \mathcal{A}_{\mu}/\partial x^{\nu}.
\end{equation}
$ \mathcal{F} $ satisfies the Bianchi identity,
\begin{equation}
d\mathcal{F}=\mathcal{F}\wedge \mathcal{A} - \mathcal{A}\wedge \mathcal{F} = 0
\end{equation}
This should be expected from the outset since is $ \mathcal{F} $ exact, $ \mathcal{F}=d\mathcal{A} $; and hence closed, $ d\mathcal{F}=d^2\mathcal{A}=0 $.
In components, we have
\begin{equation}\label{eq:10.83b}
\partial_{\lambda}\mathcal{F}_{\mu\nu}+\partial_{\nu}\mathcal{F}_{\lambda\mu}+\partial_{\mu}\mathcal{F}_{\nu\lambda}=0.
\end{equation}
If we identify the components $ \mathcal{F}_{\mu\nu}=iF_{\mu\nu} $ with the electric field \textbf{E} and  the magnetic field \textbf{B} as
\begin{equation}
E_i = F_{i0},\qquad B_i=\frac{1}{2}\epsilon_{ijk}F_{jk}
\end{equation}
then Eq.\eqref{eq:10.83b} reduces to two of Maxwell’s equations,
\begin{equation}
\nabla\times \textbf{E}+\dfrac{\partial \textbf{B}}{\partial t}=0 \qquad \nabla\cdot \textbf{B} = 0.
\end{equation}
These equations are geometrical rather than dynamical. To find the dynamics, we have to specify the action. The \emph{Maxwell action} $ S_M[\mathcal{A}] $ is a functional of $ \mathcal{A} $ and
is given by
\begin{equation}
S_M[\mathcal{A}]\equiv\dfrac{1}{4}\int_{\mathbb{R}^4} \mathcal{F}_{\mu\nu}\mathcal{F}^{\mu\nu} d^4x=
-\dfrac{1}{4}\int_{\mathbb{R}^4} F_{\mu\nu}F^{\mu\nu} d^4x.
\end{equation}

\section{SU(2): Yang-Mills Theory}
Let us consider $ SU(2) $ gauge theory defined on $ \mathbb{R}^4 $. The bundle which describes
this gauge theory is $ P( \mathbb{R}^4 , SU(2)) $. Since $ \mathbb{R}^4 $ is contractible, there is just a single gauge potential \sidenote{I honestly need to check this statement because I'm not able to mathematically justify it}
$ \mathcal{A}=A_{\mu}^{\alpha}T_{\alpha}dx^{\mu} $
where $ T_{\alpha} \equiv \sigma_{\alpha}/2i $ generate the algebra $ SU(2) $\sidenote{we can choose these matrices to be the Pauli matrices in \eqref{eq:Pauli_matrices}. In general, though, every set of \emph{generators} that satisfy condition \eqref{eq:commutator} is sufficient},
\begin{equation}\label{eq:commutator}
[T_{\alpha},T_{\beta}]=\epsilon_{\alpha\beta\gamma}T_{\gamma}.
\end{equation}
The field strength is
\begin{equation}
\mathcal{F}\equiv d\mathcal{A}+\mathcal{A}\wedge A=\dfrac{1}{2}\mathcal{F}_{\mu\nu}dx^{\mu}\wedge dx^{\nu}
\end{equation}
where 
\begin{align}
\mathcal{F}_{\mu\nu} = \partial_{\mu}\mathcal{A}_{\nu}-\partial_{\nu}\mathcal{A}_{\mu}+[\mathcal{A}_{\mu},\mathcal{A}_{\mu}] = F_{\mu\nu}^{\alpha}T_{\alpha}\\
\mathcal{F}_{\mu\nu}^{\alpha} = \partial_{\mu}\mathcal{A}_{\nu\alpha}-\partial_{\nu}\mathcal{A}_{\mu\alpha}+\epsilon_{\alpha\beta\gamma}A_{\mu\beta}A_{\nu\gamma}
\end{align}
The Bianchi identity is
\begin{equation}
\mathcal{D}\mathcal{F} = d\mathcal{F}+[\mathcal{A},\mathcal{F}]=0.
\end{equation}
The Yang–Mills action is
\begin{equation}
S_{YM}[\mathcal{A}]\equiv\dfrac{1}{4}\int_{M} \mathop{tr}(\mathcal{F}_{\mu\nu}\mathcal{F}^{\mu\nu}) d^4x=
\dfrac{1}{2}\int_{M} \mathop{tr}(\mathcal{F}\wedge *\mathcal{F}) 
\end{equation}
The variation with respect to $ \mathcal{A}_{\mu} $ yields
\begin{equation}
\mathcal{D}_{\mu}\mathcal{F}^{\mu\mu}=0 \qquad \text{or} \qquad \mathcal{D}*\mathcal{F}=0.
\end{equation}

\section{Application to a model system}
Let's take again the the model system of Section \ref{sec:3d-model}.

He have already that 
\begin{equation}
\begin{pmatrix}
k_z & k_x - i k_y \\ 
k_x + i k_y & -k_z
\end{pmatrix}
\end{equation}
The normalized wavefunctions are 
\begin{equation}
\nonumber
\psi_{+} ({\textbf{k}}) = \begin{pmatrix}
A ({\textbf{k}}) C ({\textbf{k}}) \\ B ({\textbf{k}}) D ({\textbf{k}})
\end{pmatrix} \qquad
\psi_{-} ({\textbf{k}}) = \begin{pmatrix} B ({\textbf{k}}) C ({\textbf{k}}) \\ - A ({\textbf{k}}) D ({\textbf{k}}) \end{pmatrix} .
\end{equation}
where 
\begin{equation}
\nonumber
A(\textbf{k}) = \sqrt{\frac{k+k_z}{2k}} \quad B({\textbf{k}}) = \sqrt{\frac{k-k_z}{2k}} \quad C({\textbf{k}}) = e^{-\frac{i}{2} \delta} \quad D({\textbf{k}}) = e^{+\frac{i}{2} \delta}
\end{equation}

Evaluating then the Berry connection using the standard formula $ A_{ij}=\Braket{\psi_i|\nabla|\psi_j} $ we obtain
\begin{equation}
A = \marginnote{we defined $ \varphi $ as $ \varphi=\frac{2k}{\sqrt{k_x^2+k_y^2}} $}
\begin{pmatrix}
A_{++} & A_{+-}\\
A_{-+} & A_{--}
\end{pmatrix}=
\begin{bmatrix}
\begin{pmatrix}
\frac{- k_y k_z}{2 k (k_x^2 + k_y^2)}\\
\frac{k_x k_z}{2 k (k_x^2 + k_y^2)}\\
0
\end{pmatrix}
&
\begin{pmatrix}
-\frac{1}{\varphi}\frac{k_y}{(k_x^2 + k_y^2)}+i\varphi\frac{k_xk_z}{4k^3}\\
\frac{1}{\varphi}\frac{k_x}{(k_x^2 + k_y^2)}+i\varphi\frac{k_yk_z}{4k^3}\\
-i\frac{\varphi}{r}
\end{pmatrix}
\\
\vspace{0.05cm}\\
\begin{pmatrix}
-\frac{1}{\varphi}\frac{k_y}{(k_x^2 + k_y^2)}-i\varphi\frac{k_xk_z}{4k^3}\\
\frac{1}{\varphi}\frac{k_x}{(k_x^2 + k_y^2)}-i\varphi\frac{k_yk_z}{4k^3}\\
i\frac{\varphi}{r}
\end{pmatrix}
&
\begin{pmatrix}
\frac{k_y k_z}{2 k (k_x^2 + k_y^2)}\\
\frac{- k_x k_z}{2 k (k_x^2 + k_y^2)}\\
0
\end{pmatrix}
\end{bmatrix}
\end{equation}

We then have that the $ SU(2) $ connection is given by
\begin{equation}
\mathcal{A}_{\mu\nu}=\sum_{i}A_{i}T_{\mu\nu}^{i}
\end{equation}
with $ T_{\alpha} \equiv \sigma_{\alpha}/2i $